# Domain Adaptation on Toy Data

### 1. Description

This example demonstrates domain adaptation methods on the generated toy data.

### 2. Usage

* Datasets: Toy data (2 domains and 2 classes) generated by `sklearn.datasets.make_blobs`.
* Algorithms: Covariate Independence Regularized Least Squares (CoIRLS) classifier.

`python main.py`

### 3. Related `kale` API

`kale.interpret.visualize.distplot_1d`: Visualize 1D distributions.

`kale.pipeline.multi_domain_adapter.CoIRLS`: Covariate Independence Regularized Least Squares (CoIRLS) classifier.


### References

[1] Zhou, S., Li, W., Cox, C.R., & Lu, H. (2020). [Side Information Dependence as a Regularizer for Analyzing Human Brain Conditions across Cognitive Experiments](https://ojs.aaai.org//index.php/AAAI/article/view/6179). in *AAAI 2020*, New York, USA.

[2] Zhou, S. (2022). [Interpretable Domain-Aware Learning for Neuroimage Classification](https://etheses.whiterose.ac.uk/31044/1/PhD_thesis_ShuoZhou_170272834.pdf) (Doctoral dissertation, University of Sheffield).
